SSO (single sign-on) is being reconfigured. Maintenance started Jul 16 2:20PM UTC and will last 1 hour. Password-enabled login should still work.
Bug 1596367 - tomcat_var_lib_t needed on /var/lib/tomcats directory
Summary: tomcat_var_lib_t needed on /var/lib/tomcats directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy
Version: 7.4
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Lukas Vrabec
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-28 17:20 UTC by David Mulford
Modified: 2018-10-30 10:06 UTC (History)
7 users (show)

Fixed In Version: selinux-policy-3.13.1-207.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 10:05:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:3111 None None None 2018-10-30 10:06:24 UTC

Description David Mulford 2018-06-28 17:20:23 UTC
Description of problem:

In order to run multiple instances of Tomcat on a single machine, the following article recommends labelling the /var/lib/tomcats directory with tomcat_var_lib_t. Without this, Tomcat cannot start due to permission denied errors.

Here is the article: https://access.redhat.com/solutions/2386441

Here are the recommended commands from the article:

  $ sudo semanage fcontext -a -t tomcat_var_lib_t  "/var/lib/tomcats(/.*)?" 
  $ sudo restorecon -R -v /var/lib/tomcats

After discussing with other engineers, the tomcat_var_lib_t context may be a bit too liberal, as it allows read/write access to the directory; see below.

  allow tomcat_t tomcat_var_lib_t : file { ioctl read write create getattr setattr lock append unlink link rename open } ; 
  allow tomcat_t tomcat_var_lib_t : dir { ioctl read write create getattr setattr lock unlink link rename add_name remove_name reparent search rmdir open } ;

Note that this currently applies to scenarios where the RHEL tomcat package is used, and multiple instances need to be running on one server.

Comment 3 Zdenek Pytela 2018-07-03 15:58:53 UTC
The article referred to expects there were multiple directories serving different purpose created:

/var/lib/tomcats/instance1/{logs,temp,webapps,work,conf}

While tomcat_var_lib_t context would work for the tomcat_t domain process accessing files in this directory tree in terms of not producing AVC denials, there should be more confined context considered for the subdirectories, like tomcat_log_t for logs, tomcat_tmp_t for temp files etc., but this should rather be clarified with tomcat developers.

Comment 6 errata-xmlrpc 2018-10-30 10:05:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:3111


Note You need to log in before you can comment on or make changes to this bug.